package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

public class DepartmentDTO implements Serializable {
	
	private String departmentId;

    private String departmentName;

    private String parentDepartmentId;

    private String relatedId;

    private String chainId;
    
    private String chainName;

    private Integer isStore;

    private Integer statusFlag;

    private Integer recycleFlag;

    private Date createTime;

    private Date updateTime;
    
    private String wxDepartmentId;
    
    private Integer level;
    
    private Long sort;
    
    private Integer staffCount;
    
    private String wxEnterpriseId;
    
    private Integer type;
    
    private String storeCode;
    
    private Integer bindFlag;
    
    private String relatedCode;
    
    private String gicEnterpriseName;
    
    private String enterpriseId;
    
    private Boolean hasSonNode;

    private Integer tempFlag;

    public Integer getTempFlag() {
        return tempFlag;
    }

    public void setTempFlag(Integer tempFlag) {
        this.tempFlag = tempFlag;
    }

    private static final long serialVersionUID = 1L;

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId == null ? null : departmentId.trim();
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName == null ? null : departmentName.trim();
    }

    public String getParentDepartmentId() {
        return parentDepartmentId;
    }

    public void setParentDepartmentId(String parentDepartmentId) {
        this.parentDepartmentId = parentDepartmentId == null ? null : parentDepartmentId.trim();
    }

    public String getRelatedId() {
        return relatedId;
    }

    public void setRelatedId(String relatedId) {
        this.relatedId = relatedId == null ? null : relatedId.trim();
    }

    public String getChainId() {
        return chainId;
    }

    public void setChainId(String chainId) {
        this.chainId = chainId == null ? null : chainId.trim();
    }

    public Integer getIsStore() {
        return isStore;
    }

    public void setIsStore(Integer isStore) {
        this.isStore = isStore;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getRecycleFlag() {
        return recycleFlag;
    }

    public void setRecycleFlag(Integer recycleFlag) {
        this.recycleFlag = recycleFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getWxDepartmentId() {
		return wxDepartmentId;
	}

	public void setWxDepartmentId(String wxDepartmentId) {
		this.wxDepartmentId = wxDepartmentId;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getChainName() {
		return chainName;
	}

	public void setChainName(String chainName) {
		this.chainName = chainName;
	}

	public Integer getStaffCount() {
		return staffCount;
	}

	public void setStaffCount(Integer staffCount) {
		this.staffCount = staffCount;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getStoreCode() {
		return storeCode;
	}

	public void setStoreCode(String storeCode) {
		this.storeCode = storeCode;
	}

	public Integer getBindFlag() {
		return bindFlag;
	}

	public void setBindFlag(Integer bindFlag) {
		this.bindFlag = bindFlag;
	}

	public String getRelatedCode() {
		return relatedCode;
	}

	public void setRelatedCode(String relatedCode) {
		this.relatedCode = relatedCode;
	}

	public String getGicEnterpriseName() {
		return gicEnterpriseName;
	}

	public void setGicEnterpriseName(String gicEnterpriseName) {
		this.gicEnterpriseName = gicEnterpriseName;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public Boolean getHasSonNode() {
		return hasSonNode;
	}

	public void setHasSonNode(Boolean hasSonNode) {
		this.hasSonNode = hasSonNode;
	}
	
	

}
